Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
shorten
[simgrid.git] / tools / tesh / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 srcdir = @srcdir@
23 top_srcdir = @top_srcdir@
24 VPATH = @srcdir@
25 pkgdatadir = $(datadir)/@PACKAGE@
26 pkglibdir = $(libdir)/@PACKAGE@
27 pkgincludedir = $(includedir)/@PACKAGE@
28 top_builddir = ../..
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 INSTALL = @INSTALL@
31 install_sh_DATA = $(install_sh) -c -m 644
32 install_sh_PROGRAM = $(install_sh) -c
33 install_sh_SCRIPT = $(install_sh) -c
34 INSTALL_HEADER = $(INSTALL_DATA)
35 transform = $(program_transform_name)
36 NORMAL_INSTALL = :
37 PRE_INSTALL = :
38 POST_INSTALL = :
39 NORMAL_UNINSTALL = :
40 PRE_UNINSTALL = :
41 POST_UNINSTALL = :
42 build_triplet = @build@
43 host_triplet = @host@
44 target_triplet = @target@
45 bin_PROGRAMS = tesh$(EXEEXT)
46 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(top_srcdir)/acmacro/dist-files.mk
48 subdir = tools/tesh
49 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
50 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
51         $(top_srcdir)/acmacro/compiler-flags.m4 \
52         $(top_srcdir)/acmacro/context.m4 \
53         $(top_srcdir)/acmacro/fancy_configury.m4 \
54         $(top_srcdir)/acmacro/flex.m4 \
55         $(top_srcdir)/acmacro/gras_arch.m4 \
56         $(top_srcdir)/acmacro/print_null.m4 \
57         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
58 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
59         $(ACLOCAL_M4)
60 mkinstalldirs = $(install_sh) -d
61 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
62 CONFIG_CLEAN_FILES =
63 am__installdirs = "$(DESTDIR)$(bindir)"
64 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
65 PROGRAMS = $(bin_PROGRAMS)
66 am_tesh_OBJECTS = tesh.$(OBJEXT) buff.$(OBJEXT) signal.$(OBJEXT)
67 tesh_OBJECTS = $(am_tesh_OBJECTS)
68 tesh_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
69 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
70 depcomp = $(SHELL) $(top_srcdir)/depcomp
71 am__depfiles_maybe = depfiles
72 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
73         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
74 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
75         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
76         $(AM_CFLAGS) $(CFLAGS)
77 CCLD = $(CC)
78 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
79         $(AM_LDFLAGS) $(LDFLAGS) -o $@
80 SOURCES = $(tesh_SOURCES)
81 DIST_SOURCES = $(tesh_SOURCES)
82 ETAGS = etags
83 CTAGS = ctags
84 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
85 ACLOCAL = @ACLOCAL@
86 ADDR2LINE = @ADDR2LINE@
87 AMDEP_FALSE = @AMDEP_FALSE@
88 AMDEP_TRUE = @AMDEP_TRUE@
89 AMTAR = @AMTAR@
90 AM_CFLAGS = -g
91 AR = @AR@
92 AS = @AS@
93 AUTOCONF = @AUTOCONF@
94 AUTOHEADER = @AUTOHEADER@
95 AUTOMAKE = @AUTOMAKE@
96 AWK = @AWK@
97 BASH = @BASH@
98 CC = @CC@
99 CCDEPMODE = @CCDEPMODE@
100 CFLAGS = @CFLAGS@
101 CPP = @CPP@
102 CPPFLAGS = @CPPFLAGS@
103 CXX = @CXX@
104 CXXCPP = @CXXCPP@
105 CXXDEPMODE = @CXXDEPMODE@
106 CXXFLAGS = @CXXFLAGS@
107 CYGPATH_W = @CYGPATH_W@
108 DEFS = @DEFS@
109 DEPDIR = @DEPDIR@
110 DLLTOOL = @DLLTOOL@
111 DOXYGEN = @DOXYGEN@
112 ECHO = @ECHO@
113 ECHO_C = @ECHO_C@
114 ECHO_N = @ECHO_N@
115 ECHO_T = @ECHO_T@
116 EGREP = @EGREP@
117 EXEEXT = @EXEEXT@
118 F77 = @F77@
119 FFLAGS = @FFLAGS@
120 FLEXML = @FLEXML@
121 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
122 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
123 GRAS_DEP = @GRAS_DEP@
124 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
125 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
126 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
127 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
128 INSTALL_DATA = @INSTALL_DATA@
129 INSTALL_PROGRAM = @INSTALL_PROGRAM@
130 INSTALL_SCRIPT = @INSTALL_SCRIPT@
131 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
132 LDFLAGS = @LDFLAGS@
133 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
134 LEX = @LEX@
135 LEXLIB = @LEXLIB@
136 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
137 LIBOBJS = @LIBOBJS@
138 LIBS = @LIBS@
139 LIBTOOL = @LIBTOOL@
140 LN_S = @LN_S@
141 LTLIBOBJS = @LTLIBOBJS@
142 MAINT = @MAINT@
143 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
144 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
145 MAKEINFO = @MAKEINFO@
146 MD5SUM = @MD5SUM@
147 OBJDUMP = @OBJDUMP@
148 OBJEXT = @OBJEXT@
149 PACKAGE = @PACKAGE@
150 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
151 PACKAGE_NAME = @PACKAGE_NAME@
152 PACKAGE_STRING = @PACKAGE_STRING@
153 PACKAGE_TARNAME = @PACKAGE_TARNAME@
154 PACKAGE_VERSION = @PACKAGE_VERSION@
155 PATH_SEPARATOR = @PATH_SEPARATOR@
156 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
157 RANLIB = @RANLIB@
158 SET_MAKE = @SET_MAKE@
159 SHELL = @SHELL@
160 SIMGRID_DEP = @SIMGRID_DEP@
161 STRIP = @STRIP@
162 USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
163 USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
164 VERSION = @VERSION@
165 WARNING = @WARNING@
166 abs_builddir = @abs_builddir@
167 abs_srcdir = @abs_srcdir@
168 abs_top_builddir = @abs_top_builddir@
169 abs_top_srcdir = @abs_top_srcdir@
170 ac_configure_args = @ac_configure_args@
171 ac_ct_AR = @ac_ct_AR@
172 ac_ct_AS = @ac_ct_AS@
173 ac_ct_CC = @ac_ct_CC@
174 ac_ct_CXX = @ac_ct_CXX@
175 ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
176 ac_ct_F77 = @ac_ct_F77@
177 ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
178 ac_ct_RANLIB = @ac_ct_RANLIB@
179 ac_ct_STRIP = @ac_ct_STRIP@
180 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
181 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
182 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
183 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
184 am__include = @am__include@
185 am__leading_dot = @am__leading_dot@
186 am__quote = @am__quote@
187 am__tar = @am__tar@
188 am__untar = @am__untar@
189 bindir = @bindir@
190 build = @build@
191 build_alias = @build_alias@
192 build_cpu = @build_cpu@
193 build_id = @build_id@
194 build_os = @build_os@
195 build_vendor = @build_vendor@
196 datadir = @datadir@
197 exec_prefix = @exec_prefix@
198 host = @host@
199 host_alias = @host_alias@
200 host_cpu = @host_cpu@
201 host_os = @host_os@
202 host_vendor = @host_vendor@
203 includedir = @includedir@
204 infodir = @infodir@
205 install_sh = @install_sh@
206 libdir = @libdir@
207 libexecdir = @libexecdir@
208 localstatedir = @localstatedir@
209 mandir = @mandir@
210 mkdir_p = @mkdir_p@
211 oldincludedir = @oldincludedir@
212 prefix = @prefix@
213 program_transform_name = @program_transform_name@
214 pth_skaddr_makecontext = @pth_skaddr_makecontext@
215 pth_sksize_makecontext = @pth_sksize_makecontext@
216 sbindir = @sbindir@
217 sharedstatedir = @sharedstatedir@
218 sysconfdir = @sysconfdir@
219 target = @target@
220 target_alias = @target_alias@
221 target_cpu = @target_cpu@
222 target_os = @target_os@
223 target_vendor = @target_vendor@
224 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src/include
225 tesh_SOURCES = tesh.c tesh.h buff.h buff.c signal.c
226 tesh_LDADD = $(top_builddir)/src/libsimgrid.la 
227 TESTS_ENVIRONMENT = ./tesh
228 TESTS = basic.tesh  cd.tesh \
229       broken-pipe.tesh segfault.tesh  timeout.tesh
230
231 all: all-am
232
233 .SUFFIXES:
234 .SUFFIXES: .c .lo .o .obj
235 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
236         @for dep in $?; do \
237           case '$(am__configure_deps)' in \
238             *$$dep*) \
239               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
240                 && exit 0; \
241               exit 1;; \
242           esac; \
243         done; \
244         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tools/tesh/Makefile'; \
245         cd $(top_srcdir) && \
246           $(AUTOMAKE) --gnu  tools/tesh/Makefile
247 .PRECIOUS: Makefile
248 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
249         @case '$?' in \
250           *config.status*) \
251             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
252           *) \
253             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
254             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
255         esac;
256
257 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
258         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
259
260 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
261         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
262 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
263         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
264 install-binPROGRAMS: $(bin_PROGRAMS)
265         @$(NORMAL_INSTALL)
266         test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
267         @list='$(bin_PROGRAMS)'; for p in $$list; do \
268           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
269           if test -f $$p \
270              || test -f $$p1 \
271           ; then \
272             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
273            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
274            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
275           else :; fi; \
276         done
277
278 uninstall-binPROGRAMS:
279         @$(NORMAL_UNINSTALL)
280         @list='$(bin_PROGRAMS)'; for p in $$list; do \
281           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
282           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
283           rm -f "$(DESTDIR)$(bindir)/$$f"; \
284         done
285
286 clean-binPROGRAMS:
287         @list='$(bin_PROGRAMS)'; for p in $$list; do \
288           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
289           echo " rm -f $$p $$f"; \
290           rm -f $$p $$f ; \
291         done
292 tesh$(EXEEXT): $(tesh_OBJECTS) $(tesh_DEPENDENCIES) 
293         @rm -f tesh$(EXEEXT)
294         $(LINK) $(tesh_LDFLAGS) $(tesh_OBJECTS) $(tesh_LDADD) $(LIBS)
295
296 mostlyclean-compile:
297         -rm -f *.$(OBJEXT)
298
299 distclean-compile:
300         -rm -f *.tab.c
301
302 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/buff.Po@am__quote@
303 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/signal.Po@am__quote@
304 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tesh.Po@am__quote@
305
306 .c.o:
307 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
308 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
309 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
310 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
311 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
312
313 .c.obj:
314 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
315 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
316 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
317 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
318 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
319
320 .c.lo:
321 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
322 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
323 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
324 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
325 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
326
327 mostlyclean-libtool:
328         -rm -f *.lo
329
330 clean-libtool:
331         -rm -rf .libs _libs
332
333 distclean-libtool:
334         -rm -f libtool
335 uninstall-info-am:
336
337 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
338         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
339         unique=`for i in $$list; do \
340             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
341           done | \
342           $(AWK) '    { files[$$0] = 1; } \
343                END { for (i in files) print i; }'`; \
344         mkid -fID $$unique
345 tags: TAGS
346
347 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
348                 $(TAGS_FILES) $(LISP)
349         tags=; \
350         here=`pwd`; \
351         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
352         unique=`for i in $$list; do \
353             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
354           done | \
355           $(AWK) '    { files[$$0] = 1; } \
356                END { for (i in files) print i; }'`; \
357         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
358           test -n "$$unique" || unique=$$empty_fix; \
359           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
360             $$tags $$unique; \
361         fi
362 ctags: CTAGS
363 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
364                 $(TAGS_FILES) $(LISP)
365         tags=; \
366         here=`pwd`; \
367         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
368         unique=`for i in $$list; do \
369             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
370           done | \
371           $(AWK) '    { files[$$0] = 1; } \
372                END { for (i in files) print i; }'`; \
373         test -z "$(CTAGS_ARGS)$$tags$$unique" \
374           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
375              $$tags $$unique
376
377 GTAGS:
378         here=`$(am__cd) $(top_builddir) && pwd` \
379           && cd $(top_srcdir) \
380           && gtags -i $(GTAGS_ARGS) $$here
381
382 distclean-tags:
383         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
384
385 check-TESTS: $(TESTS)
386         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
387         srcdir=$(srcdir); export srcdir; \
388         list='$(TESTS)'; \
389         if test -n "$$list"; then \
390           for tst in $$list; do \
391             if test -f ./$$tst; then dir=./; \
392             elif test -f $$tst; then dir=; \
393             else dir="$(srcdir)/"; fi; \
394             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
395               all=`expr $$all + 1`; \
396               case " $(XFAIL_TESTS) " in \
397               *" $$tst "*) \
398                 xpass=`expr $$xpass + 1`; \
399                 failed=`expr $$failed + 1`; \
400                 echo "XPASS: $$tst"; \
401               ;; \
402               *) \
403                 echo "PASS: $$tst"; \
404               ;; \
405               esac; \
406             elif test $$? -ne 77; then \
407               all=`expr $$all + 1`; \
408               case " $(XFAIL_TESTS) " in \
409               *" $$tst "*) \
410                 xfail=`expr $$xfail + 1`; \
411                 echo "XFAIL: $$tst"; \
412               ;; \
413               *) \
414                 failed=`expr $$failed + 1`; \
415                 echo "FAIL: $$tst"; \
416               ;; \
417               esac; \
418             else \
419               skip=`expr $$skip + 1`; \
420               echo "SKIP: $$tst"; \
421             fi; \
422           done; \
423           if test "$$failed" -eq 0; then \
424             if test "$$xfail" -eq 0; then \
425               banner="All $$all tests passed"; \
426             else \
427               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
428             fi; \
429           else \
430             if test "$$xpass" -eq 0; then \
431               banner="$$failed of $$all tests failed"; \
432             else \
433               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
434             fi; \
435           fi; \
436           dashes="$$banner"; \
437           skipped=""; \
438           if test "$$skip" -ne 0; then \
439             skipped="($$skip tests were not run)"; \
440             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
441               dashes="$$skipped"; \
442           fi; \
443           report=""; \
444           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
445             report="Please report to $(PACKAGE_BUGREPORT)"; \
446             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
447               dashes="$$report"; \
448           fi; \
449           dashes=`echo "$$dashes" | sed s/./=/g`; \
450           echo "$$dashes"; \
451           echo "$$banner"; \
452           test -z "$$skipped" || echo "$$skipped"; \
453           test -z "$$report" || echo "$$report"; \
454           echo "$$dashes"; \
455           test "$$failed" -eq 0; \
456         else :; fi
457
458 distdir: $(DISTFILES)
459         $(mkdir_p) $(distdir)/../../acmacro
460         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
461         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
462         list='$(DISTFILES)'; for file in $$list; do \
463           case $$file in \
464             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
465             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
466           esac; \
467           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
468           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
469           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
470             dir="/$$dir"; \
471             $(mkdir_p) "$(distdir)$$dir"; \
472           else \
473             dir=''; \
474           fi; \
475           if test -d $$d/$$file; then \
476             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
477               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
478             fi; \
479             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
480           else \
481             test -f $(distdir)/$$file \
482             || cp -p $$d/$$file $(distdir)/$$file \
483             || exit 1; \
484           fi; \
485         done
486 check-am: all-am
487         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
488 check: check-am
489 all-am: Makefile $(PROGRAMS)
490 installdirs:
491         for dir in "$(DESTDIR)$(bindir)"; do \
492           test -z "$$dir" || $(mkdir_p) "$$dir"; \
493         done
494 install: install-am
495 install-exec: install-exec-am
496 install-data: install-data-am
497 uninstall: uninstall-am
498
499 install-am: all-am
500         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
501
502 installcheck: installcheck-am
503 install-strip:
504         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
505           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
506           `test -z '$(STRIP)' || \
507             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
508 mostlyclean-generic:
509
510 clean-generic:
511
512 distclean-generic:
513         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
514
515 maintainer-clean-generic:
516         @echo "This command is intended for maintainers to use"
517         @echo "it deletes files that may require special tools to rebuild."
518 clean: clean-am
519
520 clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
521
522 distclean: distclean-am
523         -rm -rf ./$(DEPDIR)
524         -rm -f Makefile
525 distclean-am: clean-am distclean-compile distclean-generic \
526         distclean-libtool distclean-tags
527
528 dvi: dvi-am
529
530 dvi-am:
531
532 html: html-am
533
534 info: info-am
535
536 info-am:
537
538 install-data-am:
539
540 install-exec-am: install-binPROGRAMS
541
542 install-info: install-info-am
543
544 install-man:
545
546 installcheck-am:
547
548 maintainer-clean: maintainer-clean-am
549         -rm -rf ./$(DEPDIR)
550         -rm -f Makefile
551 maintainer-clean-am: distclean-am maintainer-clean-generic
552
553 mostlyclean: mostlyclean-am
554
555 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
556         mostlyclean-libtool
557
558 pdf: pdf-am
559
560 pdf-am:
561
562 ps: ps-am
563
564 ps-am:
565
566 uninstall-am: uninstall-binPROGRAMS uninstall-info-am
567
568 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
569         clean-binPROGRAMS clean-generic clean-libtool ctags distclean \
570         distclean-compile distclean-generic distclean-libtool \
571         distclean-tags distdir dvi dvi-am html html-am info info-am \
572         install install-am install-binPROGRAMS install-data \
573         install-data-am install-exec install-exec-am install-info \
574         install-info-am install-man install-strip installcheck \
575         installcheck-am installdirs maintainer-clean \
576         maintainer-clean-generic mostlyclean mostlyclean-compile \
577         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
578         tags uninstall uninstall-am uninstall-binPROGRAMS \
579         uninstall-info-am
580
581
582 #      non-blocking-IO.tesh -> blocks on AMD64
583
584 $(top_builddir)/src/libsimgrid.la: 
585         make -C $(top_builddir)/src libsimgrid.la
586
587 dist-files:
588         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
589         @echo
590         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
591 # Tell versions [3.59,3.63) of GNU make to not export all variables.
592 # Otherwise a system limit (for SysV at least) may be exceeded.
593 .NOEXPORT: